/*******************************************************************************
  * @file                   motor.h
  * @author:                MQjehovah                 mail:MQjehovah@hotmail.com
  * @version                1.0.0
  * @date                   2020.0.20
  * @brief                  
  ******************************************************************************
  * @attention
*******************************************************************************/
#ifndef __MOTOR_H
#define __MOTOR_H
/* Includes ------------------------------------------------------------------*/
#include "stm32f10x_conf.h"
/* Definition ----------------------------------------------------------------*/
enum motor_state
{
  MOTOR_STATE_STOP //停止状态
};

typedef struct _motor
{
  u8 state; //运行状态
  u8 dir;
  u8 hall_position;

} motor_t;

/* Exported Functions --------------------------------------------------------*/
extern motor_t motor_info;

#endif
/*********************************END OF FILE**********************************/
